Subject: Re: bug#49329: [PATCH 00/??] Improve Ren'py package

From: Leo Prikler <[email-masked]>
Date: Sun, 11 Jul 2021 09:03:11 +0200

Am Samstag, den 10.07.2021, 21:52 -0700 schrieb Chris Marusich:
> Leo Prikler <[email-masked]> writes:
> 
> > These sources are written in Ren'py (the language) and thus not
> > particularly
> > useful before renpy itself is built.  In particular, they serve no
> > purpose
> > when installed without prior compilation.
> 
> Could we pre-compile those sources on installation, instead of
> deleting
> the common directory?  I haven't used Ren'Py much (or at all in
> Guix),
> so I don't really understand the purpose of the common directory.  I
> could just be missing some context/info.
> 
> Other than that, this patch seems OK as far as I can tell.
You need Ren'py (as in the package you're currently compiling) to
compile these sources.  These sources will get compiled just fine in
the renpy package given that we already have python2-renpy available by
then, so they are shipped as part of that instead of this package.

Regards,
Leo